#pragma once
#include <QtCore/QThread>
#include <QString>
#include <QtCore/QLibrary>
#include "Define.h"
class Client{

public:
    Client(){}
    virtual ~Client(){}
    virtual void setLoader(QLibrary*) = 0;
    virtual void OnData(const QString& user, const QString& key, const QVariant& val) = 0;
    virtual void Run(const ConsumerInfo& ci) = 0;
};



